Page MenuHomePhabricator

Set-up EventLogging to see how often blocked users are blocked via cookie
Closed, ResolvedPublic3 Story Points

Description

Set up EventLogging to see how often blocked users are blocked from performing an action via cookie.

This will help us to make sure that this technique works, and actually keeps blocked people out. It'll also be a signal that tells us if we're blocking too many people. The expected range is somewhere between "some" and "holy cow, that's crazy". This is an imperfect metric, but we live in an imperfect world.

See parent task (T5233) for details.

Event Timeline

kaldari created this task.Sep 20 2016, 10:57 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptSep 20 2016, 10:57 PM
kaldari removed Parent5446 as the assignee of this task.Sep 20 2016, 11:00 PM
kaldari set the point value for this task to 3.
DannyH raised the priority of this task from Low to Normal.Sep 20 2016, 11:52 PM
DannyH removed a project: Community-Tech-fixes.
DannyH updated the task description. (Show Details)
DannyH moved this task from Untriaged to Estimated on the Community-Tech board.
Qgil removed a subscriber: Qgil.Sep 24 2016, 9:26 AM

Apologies for being technically illiterate, but could the impact of cookie blocks be seen through the front-end interface? This would be useful for those actually giving the blocks, or for CheckUsers investigating block evasion.

Niharika claimed this task.Oct 21 2016, 3:12 PM
Niharika added a subscriber: Niharika.

I'll like to take this on, unless someone else wanted to. It's a good opportunity to learn how EventLogging works. :)

This is blocked till T5233: Send a cookie with each block is done and deployed.

Well, it's blocked until T5233 is done and merged. Doesn't need to wait for it to be deployed.

kaldari updated the task description. (Show Details)Nov 4 2016, 5:21 PM

Change 320239 had a related patch set uploaded (by Niharika29):
Add eventlogging for checking how often users are blocked from editing due to presence of BlockID cookie

https://gerrit.wikimedia.org/r/320239

Change 320405 had a related patch set uploaded (by Niharika29):
Add var to User class to store block type for eventlogging purposes

https://gerrit.wikimedia.org/r/320405

Schema at: https://meta.wikimedia.org/wiki/Schema:CookieBlock
Added a member to User class to indicate trigger: https://gerrit.wikimedia.org/r/320405
Added a hook to WikimediaEventHooks: https://gerrit.wikimedia.org/r/320239 to log the data

Change 320405 merged by jenkins-bot:
Add var to User class to store block type for eventlogging purposes

https://gerrit.wikimedia.org/r/320405

Core change is merged. Just the hook handler left to go.

kaldari closed this task as Resolved.Nov 19 2016, 12:32 AM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Change 320239 merged by jenkins-bot:
Add eventlogging for checking how often users are blocked from editing due to presence of BlockID cookie

https://gerrit.wikimedia.org/r/320239

Niharika moved this task from Estimated to Archive on the Community-Tech board.Nov 28 2016, 11:00 AM
Tgr added a comment.Jan 5 2017, 8:09 PM

The logging does not handle any other blockTrigger value than the ones in the enum declaration. That will be problematic with https://gerrit.wikimedia.org/r/#/c/324214. Either that field should be defined as a string, or as a boolean and only log whether the trigger was a cookie or not.

Change 330890 had a related patch set uploaded (by Niharika29):
Replace block trigger string by bool to indicate whether it was a cookie block

https://gerrit.wikimedia.org/r/330890

I'll amend the schema and events hook if the above^ looks right. @Tgr @kaldari

Moving back to sprint so I don't forget to do this.

Change 330890 abandoned by Niharika29:
Replace block trigger string by bool to indicate whether it was a cookie block

Reason:
Per Gergo's comment.

https://gerrit.wikimedia.org/r/330890

Change 332769 had a related patch set uploaded (by BryanDavis):
Only record cookie-block events in eventlogging.

https://gerrit.wikimedia.org/r/332769

Change 332769 merged by jenkins-bot:
Only record cookie-block events in eventlogging.

https://gerrit.wikimedia.org/r/332769